.footer {
    background-color: #222;
    height: auto;
    padding: 5px 0 30px 0;
    margin-top: 30px
}

.footer .copyright {
    text-align: left;
    margin-top: 30px;
    color: #666;
    line-height: 26px;
    display: inline-block;
    width: 840px;
    vertical-align: top;
}

.footer .copyright p,
.footer .copyright a {
    color: #666666;
    line-height: 28px;
    font-size: 12px;
}

.footer .copyright p span,
.footer .copyright a {
    margin: 0 4px;
}

.footer .copyright p:last-child {
    color: #999999;
    font-size: 12px;
}

.footer .copyright p img {
    vertical-align: -2px;
    margin-right: 3px;
}

.footer .copyright p em {
    color: rgb(198, 174, 123);
}

.footer .w1140 {
    font-size: 0;
}

.ercodeBox {
    display: inline-block;
    width: 300px;
    text-align: right;
    vertical-align: bottom;
    padding-top: 20px;
}

.ercodeBox p img:first-child {
    width: 110px;
    height: 110px;
    border: 5px solid #ddd;
    border-image: -webkit-linear-gradient(#F60, #f90) 20 20;
    border-image: -moz-linear-gradient(#F60, #f90) 20 20;
    border-image: -o-linear-gradient(#F60, #f90) 20 20;
    border-image: linear-gradient(#F60, #f90) 20 20;
}

.ercodeBox p em {
    position: relative;
    width: 120px;
    height: 120px;
    overflow: hidden;
    display: block;
    border-radius: 5px;
}

.ercodeBox p em img:last-child {
    position: absolute;
    bottom: -30px;
    left: 5px;
    width: 110px;
    animation: shua 1.5s alternate infinite ease-in-out;
}

@keyframes shua {
    0% {
        bottom: -30px;
    }
    100% {
        bottom: 80px;
    }
}

.ercodeBox p {
    margin-left: 30px;
    width: 120px;
    display: inline-block;
}

.ercodeBox p:first-child {
    margin-left: 0;
}

.ercodeBox p span {
    display: block;
    width: 110px;
    text-align: center;
    color: white;
    font-size: 12px;
    margin-top: 10px;
}

.ercodeBox p:last-child img {
    border-image: -webkit-linear-gradient(#e4393c, #f60) 20 20;
    border-image: -moz-linear-gradient(#e4393c, #f60) 20 20;
    border-image: -o-linear-gradient(#e4393c, #f60) 20 20;
    border-image: linear-gradient(#e4393c, #f60) 20 20;
}